%define name1   	ffDiaporama

Name:		ffdiaporama
Version:	2.1
Release:	%mkrel 3
Summary:	Movie creator from photos and video clips
License:	GPLv2
URL:		http://ffdiaporama.tuxfamily.org
Group:		Video
Source0:	http://download.tuxfamily.org/ffdiaporama/Archives/%{name}-%{version}.tar.xz
Patch1:		ffdiaporama-ffmpeg-2.4.patch
Patch2:		ffdiaporama-audiodecode.patch
Patch3:		ffdiaporama-nodownload.patch
Patch4:		ffdiaporama-workingdir.patch
Patch5:		ffdiaporama-2.2-ffmpeg-3.2.patch
#--------------------------------------
BuildRequires:	qt4-devel
BuildRequires:	ffmpeg-devel
BuildRequires:	SDL-devel
BuildRequires:	SDL_mixer-devel
BuildRequires:	desktop-file-utils
BuildRequires:	%{_lib}taglib-devel
BuildRequires:	%{_lib}exiv2-devel
#-------------------------------------
Requires:	SDL SDL_mixer
Requires:	exiv2
Requires:	ffmpeg
Requires:   qtbase5-database-plugin-sqlite
Requires:   qtbase5-common
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}

%description
ffDiaporama is an application of creation of videos sequences
established by
 * titles, fixed or livened up.
 * images or by photos, fixed or livened up.
 * movie clip
 * music

These sequences are assembled in slide show by means of 
transitions of sequence to produce complete videos

Main features:
 * Refocused of images and photos and refocused and cutting of video clips
 * Note (addition of text) for images, photos, sequences and animations
 * Graphic filters on the images and the videos (passage in black and white,
 dust removal, equalization of colors, etc.)
 * Creation of animation by zoom, rotation or Ken Burns Effect on part of 
 images or photos
 * Correction of the images and the videos during the animations
 (luminosity, contrast, gamma, colors, etc.)
 * Transitions between sequence with definition of the transition type, 
 sequence by sequence.
 * Addition of a background sound (wav, mp3 or ogg) with customizable 
 effects of volume, fade in/out and passage in pause, sequence by
 sequence.
 * Generation of usable videos by most of the current videos equipments 
 (DVD player/smartphone, multimedia box, hard drive, etc.) but also 
 publishable on the main video sharing Web sites (YouTube, Dailymotion, 
 etc.)

%prep
%setup -q
%apply_patches

%build
%qmake_qt5 %{name1}.pro
%make

chmod -x *.*

%install
rm -rf $RPM_BUILD_ROOT
make install INSTALL_ROOT=$RPM_BUILD_ROOT

#remove dupes
find %{buildroot}%{_datadir}/%{name1}/locale -name "*.ts" | xargs rm -f
rm -f %{buildroot}%{_datadir}/%{name1}/locale/qt_zh_tw.qm


desktop-file-install --vendor="" \
       --remove-category="GNOME" \
       --remove-category="AudioVideo" \
       --add-category="Video"  \
       --add-category="X-MandrakeLinux-Multimedia-Video"  \
       --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/%name1.desktop

%files
%defattr(-,root,root,-)
%{_datadir}/%{name1}/
%{_bindir}/%{name1}
%{_datadir}/applications/%{name1}.desktop
%{_datadir}/mime/packages/%{name1}-mime.xml
%{_iconsdir}/hicolor/*/apps/%{name}.png

%clean
rm -rf ${RPM_BUILD_ROOT}


%changelog
* Mon Jun 19 2017 adrianomorselli <adrianomorselli> 2.1-3uplos2017
- rebuild for new ffmpeg
